<?php
require('startinclude.php');
for ($i=0;$i<30;$i++) {
	setcookie('estado_camara$i',''); // offline.
}

?>
<head>
	
	<script type='text/javascript' src='ajaxlib/utils/southprojects.js'></script>
	<script type='text/javascript' src='ajaxlib/spwin/src/window.js'></script>
	<script type='text/javascript' src='ajaxlib/spform/src/form.js'></script>	
	<script type='text/javascript' src='ajaxlib/utils/progress.js'></script>
	<script type='text/javascript' src='jscriptlib.js'></script>
	<script type='text/javascript' src='cookies.js'></script>
	<!--speed up-->
	<script type='text/javascript' src='ajaxlib/utils/stylesheet.js'></script>	
	
	<script type='text/javascript' src='ajaxlib/dhtmlwindow.js'></script>	
	 
	
	
	<!-- usado para todos los rpc -->
	<script type='text/javascript' src='jscriptrpc.js'></script>
	<!-- usado solo para esta ventana -->
	<script type='text/javascript' src='jscriptwin.js'></script>
	
	<!-- ALL demos need these css -->
	<link href="ajaxlib/spwin/themes/minimal.css" rel="stylesheet" type="text/css">

	
	
	<link href="ajaxlib/dhtmlwindow.css" rel="stylesheet" type="text/css">
	
	

	<script src="ajaxlib/genmove.js" type="text/javascript"></script>
	
	
	
	<!-- sonido -->
	<script type="text/javascript" src="script/soundmanager.js"></script>

	
	 
	
	
<link href="style.css" rel="stylesheet" type="text/css">

<script language="JavaScript">
var win_imagen=new Array(); 

function guardar(){
	// the first one is if you want to remove the side frame... 
	// parent.document.all("TopFrame").all("MiddleFrame").cols="100%,*";
	// the next one removes the top frame 
	for (var count = 0; count < numventanas; count++) {
		estado=win[count].getState();
		document.getElementById('wx_'+count).value=estado.x;
		document.getElementById('wy_'+count).value=estado.y;
		document.getElementById('ww_'+count).value=estado.width;
		document.getElementById('wh_'+count).value=estado.height;
	}	
	document.formpanel.submit();
}





var imarco; //usado para el rpc
var alertaactiva=0; 
// usado para apunta al frame1.php
	if (self.parent.frames) 
		var framesuperior = self.parent.frames.framesuperior; //.document; // iexplorer
	else
		var framesuperior = window.parent.framesuperior; //.document; // firefox
	
	/* ejemplo :
		framesuperior.document.getElementById('prueba555').innerHTML='xyz';
		framesuperior.variable='aaa';
	*/	
		
	
	//framesuperior.googlewin.hide();
	//framesuperior.googlewin.load("iframe","http://www.google.cl","google");

function showespere() {
	//loader.start('espere..');
	//setTimeout("loader.stop();", 4000);
}
function showespere2() {
//	loader.start('espere..');
	//setTimeout("loader.stop();", 4000);
	soundManagerInit();
	
}

function ocultarespere() {
	//loader.stop();
	inicio_ciclo();
}	
	
	
</script>
	<!-- Custom includes -->	
	<style type="text/css">
body {margin:0px;}

.bg_image {
/*	width: 100%;
	height: 100%;*/

	left: 0px;
	top: 0px;
	position: absolute;
	z-index: 0;
}

.bg_text {
/*	width: 100%;
	height: 100%;*/
	left: 0px;
	top: 0px;
	padding:6px,2px,2px,0px; /* top,right,left,botton */
	position: absolute;
	z-index: 1;
}

.caming_texto {
	font-family:  Tahoma,Verdana, Helvetica;
	font-size:9px;
}

#contents {
z-index: 1;
position: absolute;
}
</style>

	



<?php

function leer_ventanas($pantalla,$usuario) {
	global $totalcamaras;
	global $camaras;
	global $win;
	//global $winconf;
	$sql="select * from pf_window a,pf_camara b ";
	$sql.="where a.id_camara=b.id_camara ";
	$sql.="and pantalla=$pantalla and id_usuario=$usuario ";
//	$sql.=" and b.tipo_camara<>'NOEX' ";
	$sql.="order by a.id_camara ";
	$filas=0;
	$resultado="";
	ejecutarsql($sql,&$filas,&$resultado);	
	$numcamaras=$filas;
	$i=0;
	if ($totalcamaras!=$numcamaras) {
			$win[$i]["x"]=mssql_result($resultado,$i, "x");	
			$win[$i]["y"]=mssql_result($resultado,$i, "y");	
			$win[$i]["w"]=mssql_result($resultado,$i, "w");	
			$win[$i]["h"]=mssql_result($resultado,$i, "h");	
			$win[$i]["titulo"]=mssql_result($resultado,$i, "nombre_camara");
			$win[$i]["status"]=mssql_result($resultado,$i, "status");	
			$win[$i]["id"]=mssql_result($resultado,$i, "id_camara");	
			$win[$i]["tipo"]=mssql_result($resultado,$i, "tipo_camara");	

	}
	
}

function ventana($numero,$x,$y,$w,$h,$titulo,$tipo=0,$ultimo=0) {
		global $nsensores,$sensorm,$sensort;
		
		
		
		
		
		$tmp= "<script type='text/javascript'>\n";
		$tmp.= "numventanas=numventanas+1;\n";
		$tmp.= "win[$numero] = southprojects.Window.setup({\n";
		$tmp.= "	left:$x, \n";
		$tmp.= "	top:$y, 			\n";
		$tmp.= "	width:$w, \n";
		$tmp.= "	height:$h, 			\n";				
			$tmp.=  "theme:'minimal',\n";
			$tmp.=  "raiseOnlyOnTitle:false, \n";
			$tmp.=  "showStatus :false,\n";
			$tmp.=  "showCloseButton:false, \n";
			$tmp.=  "showMaxButton:false, \n";
			$tmp.=  "showMinButton:false, \n";
			$tmp.=  "title:'prueba',\n";
			$tmp.=  "content : \"<img src='C:/ats/pf/images/camaras/blancaAbajoIzq.jpg' width=100% height=100%/>\"\n";
			$tmp.=  "});\n";
		//$tmp.="win[$numero].minimize();";
		$tmp.= "</script>\n";
	return $tmp;
}

// inicio...

$pantalla=0;
$usuario=0;
$boton=parametro("boton","");
$numcamaras=parametro("numcamaras","0");
if ($boton=='guardar' ) {
		for ($i=0;$i<$numcamaras;$i++) {
			$win[$i]["id"]=parametro("wid_$i","0");
			$win[$i]["x"]=parametro("wx_$i","0");
			$win[$i]["y"]=parametro("wy_$i","0");
			$win[$i]["w"]=parametro("ww_$i","0");
			$win[$i]["h"]=parametro("wh_$i","0");
			$win[$i]["status"]=parametro("ws_$i","0");		
			$datos=array($win[$i]["id"],$win[$i]["x"],$win[$i]["y"],$win[$i]["w"]
				,$win[$i]["h"],'*RESULTADO*');
			$nc=array('id_camara','x','y','w','h','resultado');
			$tc=array('int','int','int','int','int','output');
			
			ejecutarprocedimiento('modificar_camara',$datos,$nc,$tc);
		}
}

$totalcamaras=0;

function leer_camaras_todas(&$camaras) {
	// lo lee globalmente y "eternamente".
	$camaras=array();
		$sql="select * from pf_camara  order by id_camara ";
		$total_camaras=0;
		$filas=0;
		
		$resultado="";
		ejecutarsql($sql,&$total_camaras,&$resultado);	
		for ($i=0;$i<$total_camaras;$i++) {
			$camaras[$i]["id_camara"]=mssql_result($resultado,$i, "id_camara");	
			$camaras[$i]["nombre_camara"]=mssql_result($resultado,$i, "nombre_camara");	
			$camaras[$i]["estado_actual"]=mssql_result($resultado,$i, "estado_actual");	
			$camaras[$i]["tipo_camara"]=mssql_result($resultado,$i, "tipo_camara");	
			$camaras[$i]["proceso_actual"]=mssql_result($resultado,$i, "proceso_actual");	
			$camaras[$i]["posicion_puerta"]=mssql_result($resultado,$i, "posicion_puerta");	
			$camaras[$i]["x"]=mssql_result($resultado,$i, "x");	
			$camaras[$i]["y"]=mssql_result($resultado,$i, "y");	
			$camaras[$i]["w"]=mssql_result($resultado,$i, "w");	
			$camaras[$i]["h"]=mssql_result($resultado,$i, "h");				
			$camaras[$i]["maxpallet"]=mssql_result($resultado,$i, "maxpallet");				
		}
		for ($i=0;$i<$total_camaras;$i++) {
			$sql="select * from pf_sensorxcamara where id_camara=".$camaras[$i]["id_camara"];
			$filas=0;
			$resultado="";
			ejecutarsql($sql,&$filas,&$resultado);	
			$camaras[$i]["nsensores"]=$filas;
		}		
}



$camaras=array();
leer_camaras_todas($camaras);
$totalcamaras=count($camaras);

//$winconf=0;

$win=array();

leer_ventanas($pantalla,$usuario);






//echo ventana(2,150,230,100,100,'titulo2',0);
?>



</head>

<BODY  onload="javascript:showespere2();" background='images/fondo.jpg'>
<div><!-- div usado para soundmanager, debe ser el primero de todos los divs--></div>
<img id='botonreajustar' src="images/iconos/disk_blue.gif" onClick="guardar();" onmouseover="this.style.cursor='pointer'" onmouseout="this.style.cursor='default'" title="Subir Menu" alt="Subir Menu"  />
<script type="text/javascript">
showespere();
//inicio_ciclo();
</script>

<!--
<table width="100%" background="images/ribon.jpg" height="226" cellpadding="0" cellspacing="0" border='0'>
    <tr>
        <td width="131"><img src="images/ats.jpg" width="202" height="226" border="0"></td>
        <td width="90%">&nbsp;</td>
        <td width="676"><img src="images/company.jpg" width="676" height="226" border="0"></td>
    </tr>
</table>
-->
<form name="formpanel" id='formpanel'>
<div class="spformContent">
	<?php
		echo "<input type='hidden' id='numcamaras' name='numcamaras' value='$totalcamaras'>\n";
		echo "<input type='hidden' id='boton' name='boton' value='guardar'>\n";
		for ($i=0;$i<$totalcamaras;$i++) {
			
			echo "<input type='hidden' id='wx_$i' name='wx_$i' value='".$camaras[$i]["x"]."'>\n";
			echo "<input type='hidden' id='wy_$i' name='wy_$i' value='".$camaras[$i]["y"]."'>\n";
			echo "<input type='hidden' id='ww_$i' name='ww_$i' value='".$camaras[$i]["w"]."'>\n";
			echo "<input type='hidden' id='wh_$i' name='wh_$i' value='".$camaras[$i]["h"]."'>\n";
			echo "<input type='hidden' id='wid_$i' name='wid_$i' value='".$camaras[$i]["id_camara"]."'>\n";
			echo "<input type='hidden' id='pp_$i' name='pp_$i' value='".$camaras[$i]["posicion_puerta"]."'>\n";
			
		}
		?>
</div>	
<!--
<div class="spformButtons2">
    <input type="submit" name="boton" value="Guardar Valor" onclick='javascript:framesuperior.googlewin.hide(); return(false);' class="button"> 
		&nbsp;<input type="submit" name="boton" value="Alinear Ventanas" onclick='alinearvalores()' class="button"> 
		&nbsp;<input type="submit" name="boton" value="Ventanas en Cascada" onclick='cascadavalores()' class="button"> 
		</div>
-->
</form>
<div id="transportdiv" name='transportdiv' style="border-width:0px; border-color:rgb(0,0,0); border-style:none; display: none;"></div>            
	





<!-- this puts the contents of the page ontop of the background image -->
<div id="contents"> </div> 	
	

<?php

$ruta=dirname($_SERVER["SCRIPT_FILENAME"])."/images/camaras/";
$imagenes=array();
$dir_handle=@opendir($ruta) or die ("unable to open path $ruta");

while ($file=readdir($dir_handle)) {
	if ($file=="." || $file==".." || $file=="Thumbs.db")
		continue;
	$imagenes[]=$file;	
}
closedir($dir_handle);


function camimg($arr,$num) {
	// dibujar cuadrados de ventana que estan en el fondo.
	$nombreimg="";
	if (!strpos($arr["posicion_puerta"],".",0)) {
		$nombreimg="gris".$arr["posicion_puerta"].".jpg";
	} else {
		$nombreimg=$arr["posicion_puerta"];
	}
	$x=$arr["x"];
	$y=$arr["y"];
	$w=$arr["w"];
	$h=$arr["h"];
	
	$numero=$num;
	$nombre=$arr["nombre_camara"];
	
	$tmp= "<script type='text/javascript'>\n";
	$tmp.= "numventanas=numventanas+1;\n";
	$tmp.= "win[$numero] = southprojects.Window.setup({\n";
	$tmp.= "	left:$x, \n";
	$tmp.= "	top:$y,\n";
	$tmp.= "	width:$w, \n";
	$tmp.= "	minWidth:50, \n";

	$tmp.= "	height:$h, 			\n";				
	$tmp.=  "theme:'minimal',\n";
	$tmp.=  "raiseOnlyOnTitle:false, \n";
	$tmp.=  "showStatus :false,\n";
	$tmp.=  "showCloseButton:false, \n";
	$tmp.=  "showMaxButton:false, \n";
	$tmp.=  "showMinButton:false, \n";
	$tmp.=  "title:'$nombre',\n";
	$tmp.=  "content : \"<img src='images/camaras/$nombreimg' width=100% height=100%/>\"\n";
	$tmp.=  "});\n";
	//$tmp.="win[$numero].minimize();";
	$tmp.= "</script>\n";


	return ($tmp);
}





for ($i=0;$i<count($camaras);$i++) {
	echo camimg($camaras[$i],$i);
}

$t=array();
$maxima=0;
$minima=0;
$estado=0;
$nombre_sensor=array();
$estado_actual=array();

jsinicio();
echo "function prueba() {";




for ($i=0;$i<$totalcamaras;$i++) {
	// $estado_actual[$i]=$_COOKIE["ea".$i];
	echo "alert(document.getElementById('iventana0').contentWindow.document.getElementById('iframe2'));";
	echo "document.getElementById('iventana0').contentWindow.document.getElementById('iframe2').contentWindow.document.getElementById('celmin0').innerHTML='aaaaa';\n";
}
echo "};";
jsfin();

$tabla=array();

//leer_estados_historicos(&$tabla,0,1);



?>
<div id='pruebacontenido'> </div>
<script type="text/javascript">

//ocultarespere();
//alert("fin");
//inicio_ciclo();
</script>
</body>